@import "_variables";

/* ##### GENERAL ##### */

.no-padding {
    padding: 0 !important;
}

.btn {
    border-radius: .15rem;
}

.bootstrap-tagsinput .tag.label.label-info {
    background-color: $accent-color-main !important;
}

.accent-border {
    padding-top: 8px;
    border-top: 5px solid #41d4f8;
    max-width: 100px;
}

/* width */
.post ::-webkit-scrollbar {
    height: 5px;
}

/* Track */
.post ::-webkit-scrollbar-track {
    background: #f1f1f1; 
}

/* Handle */
.post ::-webkit-scrollbar-thumb {
    background: $accent-color-main; 
}

/* Handle on hover */
.post ::-webkit-scrollbar-thumb:hover {
    background: $accent-color-main-darkened; 
}

.slider {
    -webkit-appearance: none;
    appearance: none;
    width: 100%;
    height: 10px;
    background: #f1f1f1;
    outline: none;
    opacity: 0.7;
    -webkit-transition: .2s;
    transition: opacity .2s;
}

/* Mouse-over effects */
.slider:hover {
    opacity: 1;
}

/* The slider handle (use -webkit- (Chrome, Opera, Safari, Edge) and -moz- (Firefox) to override default look) */ 
.slider::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 15px;
    height: 15px;
    background: $accent-color-main;
    cursor: pointer;
    border-radius: .15rem;
}

.slider::-moz-range-thumb {
    width: 25px;
    height: 25px;
    background: $accent-color-main;
    cursor: pointer;
}

.hide-mouse {
    cursor: none !important;
}

.code {
    background: #fdcbcb;
    color: #e80000;
    font-family: monospace;
    padding: 3px 8px;
    border-radius: 5px;
}

/* ##### HEADER ##### */

header {
    position: fixed;
    z-index: 100;
    background: white;
    border-bottom: 1px solid lightgray;

    #page-title {
        text-align: center;
        font-size: 60px;
        font-variant-caps: all-petite-caps;
        padding: 20px 10px 0;
    }

    nav {

        ul {
            list-style-type: none;
            display: flex;
            justify-content: center;
            padding: 0;

            li {
                display: inline-block;
                padding: 10px;

                a {
                    color: $gray;
                    padding: 5px 10px;
                    transition: color 200ms ease-out;

                    &:hover {
                        color: black;
                        text-decoration: none;
                        border-top: 2px solid $accent-color-main;
                        transition: color 200ms ease-out;
                    }
                }
            }
        }
    }
}

#main-content {
    padding-top: 200px;
}

#search-area {
    margin-bottom: 50px;

    #search-string {
        width: 70%;
        float: left;
        padding: 20px;
        border-color: $accent-color-main;
        border-top-right-radius: 0;
        border-bottom-right-radius: 0;

        &:focus {
            background-color: #41d4f803;
            box-shadow: none;
        }
    }

    select.order-by {
        width: 30%;
        float: right;
        padding: 0 20px 2px;
        height: 42px;
        border-color: #41d4f8;
        border-top-left-radius: 0;
        border-bottom-left-radius: 0;
        border-left: none;

        &:focus {
            background-color: #41d4f803;
            box-shadow: none;
        }
    }

    p {
        margin-top: 8px;
        
        #search-echo {
            color: $gray;
            
            a {
                color: $gray;
                
                &:hover {
                    text-decoration: none;
                    color: $accent-color-main;
                } 
            }
        }
    }
}

.page-info {

    & > div {
        padding: 0 20px;
    }

    .page h4 {
        margin: 0;
    }

    .items-per-page {
        position: absolute;
        right: 0;
        bottom: 0;
        padding-right: 20px;
    
        a {
            margin: 0 3px;
            color: $lightgray;
    
            &.active,
            &:hover {
                color: $accent-color-main;
                text-decoration: none;
            }
        }
    }

}

.pagination {
    margin: 30px 20px 100px;
    justify-content: center;

    .page-link {
        color: $accent-color-main;
    }

    .page-item.active .page-link {
        background-color: $accent-color-main;
        border-color: $accent-color-main;
    }

}

/* ##### POST ##### */

.post { 
    padding: 20px;
    margin: 10px 0;
    border: 1px solid #f3f3f3;
    box-shadow: 1px 1px 4px 0px #f3f3f3;

    .title {
        overflow: hidden;
    }

    a.reflink {
        color: $gray;
    }

    .accent-border {
        margin-bottom: 5px;
    }

    .options {
        position: absolute;
        top: 30px;
        right: 20px;
        display: flex;

        @media (max-width: 768px) {
            position: initial;
        }

        .slidercontainer {
            display: inline-block;
            padding: 0 25px;
            height: 40px;
            position: relative;

            label {
                font-size: 14px;
                padding: 0;
                margin: 0;
                position: absolute;
                top: 0;
                line-height: 1.1;

                .reset-image-size {
                    font-size: 10px;
                    color: $lightgray;
                    padding: 0 6px;

                    &:hover {
                        cursor: pointer;
                        color: $gray;
                    }
                }
            }

            .slider {
                margin-top: 23px;
            }
        }

        .delete-post {
                margin-left: 20px;
        }
    }

    .image-section {
        white-space: nowrap;
        overflow-x: auto; 

        img,
        video {
            max-height: 800px;

            &.rotate-90 {
                transform-origin: 0% 0%;
                position: relative;
                left: 0;
                transform: rotate(90deg) scale(0.56);
            }

            &.rotate-180 {
                position: relative;
                left: 0;
                transform: rotate(180deg) scale(1);
            }

            &.rotate-270 {
                transform-origin: 0% 100%;
                position: relative;
                left: 0;
                transform: rotate(270deg) scale(0.56);
            }
        }

    }

    .tags {
        padding-top: 10px;
        padding-bottom: 10px;

        a,
        a:visited {
            color: $lightgray;
            font-style: italic;
            text-decoration: none;
    
            &:hover {
                color: $accent-color-main;
            }
        }
    }

    .info {
        padding-top: 10px;
        padding-bottom: 10px;
        color: $lightgray;

        span {
            float: right;
            padding-right: 4px;
        }
    }

    .likes {
        color: $lightgray;
        display: flex;
        margin-left: 2px;

        .heart {
            color: $accent-color-main;
            font-size: 22px;

            &:hover {
                cursor: pointer;
            }

            &.fas {
                color: $red;
            }
        }

        .likes-info {
            line-height: 1;
            margin: 2px 8px;
            display: inline-block;
        }
    }
}

[draggable] {
    -moz-user-select: none;
    -khtml-user-select: none;
    -webkit-user-select: none;
    user-select: none;
    /* Required to make elements draggable in old WebKit */
    -khtml-user-drag: element;
    -webkit-user-drag: element;
}

form#create-post {

    .step {
        margin-bottom: 60px;
        
        .step-description {
            color: gray;
            text-align: justify;
            margin-bottom: 30px;
        }

    }

    input[name="content-folder"] {
        width: 80%;
        float: left;
        border-top-right-radius: 0;
        border-bottom-right-radius: 0;
    }

    #load-directory {
        width: 20%;
        border-top-left-radius: 0;
        border-bottom-left-radius: 0;
    }

    .element-counter {
        margin-top: 15px;
    }

    .bootstrap-tagsinput {
        width: 100%;
        height: 100px;
        line-height: 27px;
        
        .label {
            display: inline;
            padding: .2em .6em .3em;
            font-size: 75%;
            font-weight: 700;
            line-height: 1;
            color: #fff;
            text-align: center;
            white-space: nowrap;
            vertical-align: baseline;
            border-radius: .25em;
        }
    
        .label-info {
            background-color: #5bc0de;
        }
    
    }

    .delete-post {
        margin: 10px;
        padding: 8px 50px 10px;
        font-size: 1.2em;
    }

    .btn-post {
        margin: 10px;
        padding: 8px 50px 10px;
        font-size: 1.2em;
    }

} // end create form


.content-option {
    position: absolute;
    top: -17px;
    right: -15px;
    z-index: 100;
    background-color: white;
    color: lightgray;
    border: 0px solid;
    border-radius: 75px;
    box-shadow: 1px 1px 1px 1px #efefef;

    &:hover {
        cursor: pointer;
        background-color: #f7f7f7;
        color: #c7c7c7;
    }
}

span.rotate-content {
    right: 25px;
    font-size: 18px;
    padding: 3px 8px;
}

span.delete-content {
    right: -15px;
    font-size: 22px;
    padding: 0 9px;
}

.content-preview,
.image-section {
    ul {
        list-style-type: none;
        display: flex;
        padding: 0;
        margin: 0;

        li.content-element,
        li.preview-element {
            float: left;
            margin: 20px 10px 0;
            color: gray;
            position: relative;

            &:first-of-type {
                margin-left: 0;
            }

            img,
            video {
                max-height: 700px;
            }
        }

        li.preview-placeholder {
            float: left;
            background: #5bc0de;
            padding: 180px;
            margin: 0 10px;
        }
    }
}

.btn-accent-main {
    background-color: $accent-color-main;
    color: white;
    transition: all 300ms ease-out;
    border-color: $accent-color-main;

    &:hover {
        background-color: $accent-color-main-darkened;
        color: white;
        transition: all 300ms ease-out;
        border-color: $accent-color-main-darkened;
    }
}

/* ##### TAG-AUTO-COMPLETE ##### */
.tt-menu {
    width: 96%;
    background: white;
    border: 1px solid $lightgray;
}

.tt-selectable {
    padding: 0 7px;

    &.tt-cursor {
        font-weight: bold;
        background: #eee;
    }
}